## CdInterpLinear

CdInterpLinear — Interpolate data using a linear method

## Functions

CdInterp * | cd_interp_linear_new ()

## Types and Values

#define | CD_TYPE_INTERP_LINEAR
struct | CdInterpLinearClass
| CdInterpLinear

## Description

This object implements linear interpolation of 2D ordered data.

## Functions

### cd_interp_linear_new ()

    CdInterp *
    cd_interp_linear_new (void);

Creates a new CdInterpLinear object.

#### Returns

a new CdInterp object.

Since: 0.1.31

## Types and Values

### CD_TYPE_INTERP_LINEAR

    #define CD_TYPE_INTERP_LINEAR (cd_interp_linear_get_type ())

### struct CdInterpLinearClass

    struct CdInterpLinearClass {
    	CdInterpClass		 parent_class;
    };

### CdInterpLinear

    typedef struct _CdInterpLinear CdInterpLinear;